cmake_minimum_required (VERSION 2.6)
project (freq_analysis)
add_library(freq STATIC freq_analysis.cpp)
SET_TARGET_PROPERTIES(freq PROPERTIES OUTPUT_NAME freq CLEAN_DIRECT_OUTPUT 1)
set(CMAKE_CXX_FLAGS_DEBUG "${CMAKE_CXX_FLAGS_DEBUG} -Wall")
set(CMAKE_BUILD_TYPE Debug)
enable_testing ()
add_subdirectory(test)
add_subdirectory(docs)

